Marmin

List purchase invoices


Retrieves a paginated list of purchase invoices.

GET /api/purchase-invoices
Rate limit

60 requests/minute per authenticated account. See Rate limiting for response headers (X-RateLimit-*) and retry guidance.

Query parameters

All query parameters are identical to Sales Invoices - List:

  • document_number (string, optional) - Filter by invoice document number

  • billed_by_name (string, optional) - Filter by supplier name

  • billed_to_name (string, optional) - Filter by customer name

  • billed_to_vat (string, optional) - Filter by customer VAT number

  • billed_by_vat (string, optional) - Filter by supplier VAT number

  • status (string, optional) - Filter by invoice status

  • document_date (string, optional) - Filter by invoice issue date (format: yyyy-MM-dd)

  • page (integer, optional) - Page number (0-indexed, default: 0)

  • size (integer, optional) - Number of items per page (default: 10)

Response

Status code: 200 OK

Pagination fields
FieldTypeSourceDescription
contentarraySystem ProvidedArray of purchase invoice objects.
page_numberintegerSystem ProvidedCurrent page (0-indexed).
total_pagesintegerSystem ProvidedTotal pages.
total_elementsintegerSystem ProvidedTotal matching documents.
Response item fields

Each item in content includes the fields in Response fields plus request fields that were stored on the document.

Error responses

400 Bad Request

Invalid request parameters or validation failed.

{
  "errors": {
    "message": "Invalid request parameters"
  }
}

For validation errors, the response includes field-specific errors:

{
  "errors": {
    "profile_execution_id": "Profile execution ID is mandatory",
    "issue_date": "Issue date is mandatory"
  }
}
401 Unauthorized

Authentication required or invalid token.

{
  "errors": {
    "message": "Authentication required or invalid token"
  }
}
500 Internal Server Error

An error occurred while processing the request.

{
  "errors": {
    "message": "An error occurred"
  }
}
Next